Bug 1029389 - "Administration->Servers" action buttons disabled when I click "Remove Selected" confirmation as "No"
"Administration->Servers" action buttons disabled when I click "Remove Select...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: ER02
: JON 3.3.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 05:31 EST by Jeeva Kandasamy
Modified: 2014-12-11 09:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:02:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
administration-servers (77.00 KB, image/jpeg)
2013-11-12 05:31 EST, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2013-11-12 05:31:51 EST
Created attachment 822813 [details]
administration-servers

Description of problem:
"Administration->Servers" action buttons disabled when I click "Remove Selected" confirmation as "No"

Version-Release number of selected component (if applicable):
Browser: Firefox ESR 17.0.7
JBoss Operations Network
Version : 3.2.0.ER5
Build Number : 2cb2bc9:225c796
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Go to "Administration->Servers"
2. Select a server and click on "Remove Selected"
3. On the confirmation box select "No"
4. All the action buttons will be disabled including "Refresh" button.

Actual results:
All the action buttons are disabled

Expected results:
Buttons should be enabled

Additional info: Screen shot is attached
Comment 2 Jirka Kremser 2014-08-29 07:30:57 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/48b3c67db
time:    2014-08-29 13:29:42 +0200
commit:  48b3c67db0ebf1ed99fa8441a41da3c7df13d860
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1029389] - "Administration->Servers" action buttons disabled when I
         click "Remove Selected" confirmation as "No" - calling
         refreshTableInfo() for all ways to close the confirmation
         window
Comment 3 Jirka Kremser 2014-08-29 07:32:41 EDT
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/c11278cf7
time:    2014-08-29 13:31:47 +0200
commit:  c11278cf7e0b48ce0345715c681aa46abfc6af36
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1029389] - "Administration->Servers" action buttons disabled when I
         click "Remove Selected" confirmation as "No" - calling
         refreshTableInfo() for all ways to close the confirmation
         window

         (cherry picked from commit
         48b3c67db0ebf1ed99fa8441a41da3c7df13d860) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>
Comment 4 Simeon Pinder 2014-09-03 16:31:40 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Note You need to log in before you can comment on or make changes to this bug.